{ pkgs }:

{
  uninsane-dot-org = with pkgs; stdenv.mkDerivation {
    name = "uninsane-dot-org";
    src = ./.;
    buildInputs = [ rsync zola ];
    nativeBuildInputs = [ gnumake ];
    preInstall = ''
      mkdir -p $out/share/uninsane-dot-org
    '';
    postInstall = ''
      rm $out/share/uninsane-dot-org/404.html
    '';
    installFlags = [ "PREFIX=$(out)/share/uninsane-dot-org" ];
  };
}
